Unlock the user
PUT /obp/v7.0.0/users/PROVIDER/USERNAME/lock-status
OBPv5.1.0-unlockUserByProviderAndUsername Roles: CanUnlockUser User
Unlock a User.
(Perhaps the user was locked due to multiple failed login attempts)
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
URL Parameters:
PROVIDER: ETHEREUM
USERNAME: felixsmith
JSON response body fields (3)
- bad_attempts_since_last_success_or_reset
- last_failure_date
- 2020-01-27
- username
- felixsmith
Example success response
{
"username": "felixsmith",
"bad_attempts_since_last_success_or_reset": 0,
"last_failure_date": "1100-01-01T01:01:01Z"
}Possible errors (4)
- OBP-20001: User not logged in. Authentication is required!
- OBP-20027: User not found by provider and username.
- OBP-20006: User is missing one or more roles:
- OBP-50000: Unknown Error.